Index: sandbox/expresso/novos_templates/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 710)
+++ sandbox/expresso/novos_templates/expressoMail1_2/js/draw_api.js	(revision 773)
@@ -2196,10 +2308,10 @@
 		else
 			write_msg(get_lang("Warning: Your Mailbox is almost full!"));
-		td221.setAttribute("background","templates/default/images/dsalert.gif");
+		td221.setAttribute("background","templates/"+template+"/images/dsalert.gif");
 	}
 	else if(value > 80)
-		td221.setAttribute("background","templates/default/images/dswarn.gif");
+		td221.setAttribute("background","templates/"+template+"/images/dswarn.gif");
 	else
-		td221.setAttribute("background","templates/default/images/dsused.gif");
+		td221.setAttribute("background","templates/"+template+"/images/dsused.gif");
 	
 	tr221.appendChild(td221);
@@ -2231,5 +2343,6 @@
 	for (var i=0; i<(headers_msgs.length); i++){
 		var tr = this.make_tr_message(headers_msgs[i], headers_msgs[i].msg_folder);
-		tbody.appendChild(tr);
+		if (tr)
+			tbody.appendChild(tr);
 	}
 }
@@ -2291,5 +2404,5 @@
 	td_element5.align = "center";
 	td_element5.innerHTML = "<B>"+get_lang("Date")+"</B>";	
-	td_element5.innerHTML += "<img src ='templates/default/images/arrow_descendant.gif'>";
+	td_element5.innerHTML += "<img src ='templates/"+template+"/images/arrow_descendant.gif'>";
 	td_element6 = document.createElement("TD");
 	td_element6.setAttribute("width", "10%");
@@ -2386,5 +2499,6 @@
 }
 	var idx_cc = 0;
-function draw_plugin_cc(ID, addrs)	{
+function draw_plugin_cc(ID, addrs)
+{
 	connector.loadScript("ccQuickAdd");
 
@@ -2416,5 +2530,5 @@
 	
 	var sm_envelope_img1 = '<img style="cursor:'+ (is_ie ? 'hand' : 'pointer') +'" title="' + get_lang("Add Contact") +
-	'" onclick="ccQuickAddOne.showList(\''+cc_data+'\')" src="./templates/default/images/user_card.png">';
+	'" onclick="ccQuickAddOne.showList(\''+cc_data+'\')" src="./templates/'+template+'/images/user_card.png">';
 	var to_addybook_add = "<SPAN id='insert_plugin_"+idx_cc+"_"+ID+"'>";
 	to_addybook_add += addrs;
@@ -2432,5 +2546,5 @@
 		dn_em.setAttribute("title",get_lang("Block Sender"));
 		dn_em.style.cursor = "pointer";		
-		dn_em.innerHTML = "<img align='top' onclick=filter.new_rule('"+email+"') src='./templates/default/images/deny.gif'>";
+		dn_em.innerHTML = "<img align='top' onclick=filter.new_rule('"+email+"') src='./templates/"+template+"/images/deny.gif'>";
 	return dn_em;
 	
@@ -2470,18 +2584,22 @@
 	}
 
-	span_options.innerHTML = 
-		'<span title="'+get_lang("Delete")+'" style="margin-left:8px" class="message_options" onclick=proxy_mensagens.delete_msgs(\'null\',\'selected\',\'null\')>'+get_lang("Delete")+'</span> | '+
-		'<span title="'+get_lang("Move")+'" class="message_options" onclick=wfolders.makeWindow(\"\",\"move_to\")>'+get_lang("Move")+'</span> | '+
-   		'<span title="'+get_lang("Print")+'" class="message_options" onclick=print_all()>'+get_lang("Print")+'</span> | '+
-	   	'<span title="'+get_lang("Export")+'" class="message_options" onclick="export_all_selected_msgs()">'+get_lang("Export")+'</span> | ' + 
-	   	'<span title="'+get_lang("Import")+'" class="message_options" onclick="import_window()">'+get_lang("Import")+'</span>';
+	var change_font_color = 'onmouseover="var last_class = this.className;'+
+				'this.className=\'message_options_active\';'+
+				'this.onmouseout=function(){this.className=last_class;}"';
+
+	span_options.innerHTML =
+		'<span class="message_options_trash"><span ' + change_font_color + ' title="'+get_lang("Delete")+'" class="message_options" onclick=proxy_mensagens.delete_msgs(\'null\',\'selected\',\'null\')>'+get_lang("Delete")+'</span></span>'+
+		'<span class="message_options_move"><span ' + change_font_color + ' title="'+get_lang("Move")+'" class="message_options" onclick=wfolders.makeWindow(\"\",\"move_to\")>'+get_lang("Move")+'</span></span>'+
+   		'<span class="message_options_print"><span ' + change_font_color + ' title="'+get_lang("Print")+'" class="message_options" onclick=print_all()>'+get_lang("Print")+'</span></span>'+
+		'<span class="message_options_export"><span ' + change_font_color + ' title="'+get_lang("Export")+'" class="message_options" onclick="export_all_selected_msgs()">'+get_lang("Export")+'</span></span>' +
+		'<span class="message_options_import"><span ' + change_font_color + ' title="'+get_lang("Import")+'" class="message_options" onclick="import_window()">'+get_lang("Import")+'</span></span>';
 	if(preferences.use_local_messages==1)
-		span_options.innerHTML += ' | <span title="'+get_lang("Archive")+'" class="message_options" onclick="archive_msgs(\''+folder+'\',null)">'+get_lang("Archive")+'</span>';
+		span_options.innerHTML += '&nbsp;<span ' + change_font_color + ' title="'+get_lang("Archive")+'" class="message_options" onclick="archive_msgs(\''+folder+'\',null)">'+get_lang("Archive")+'</span>';
 	if (use_spam_filter) {
-		if ( get_current_folder() == 'INBOX'+cyrus_delimiter+'Spam' )	{
-			span_options.innerHTML += ' | <span title="'+get_lang("Not Spam")+'" class="message_options" onclick="nospam(\'selected\',\'null\',\'null\')">'+get_lang("Not Spam")+'</span>';
+		if ( current_folder == 'INBOX'+cyrus_delimiter+'Spam' )	{
+			span_options.innerHTML += ' | <span ' + change_font_color + ' title="'+get_lang("Not Spam")+'" class="message_options" onclick="nospam(\'selected\',\'null\',\'null\')">'+get_lang("Not Spam")+'</span>';
 		}
 		else {
-			span_options.innerHTML += ' | <span title="'+get_lang("Mark as Spam")+'" class="message_options" onclick="spam(\'null\', \'selected\',\'null\')">'+get_lang("Mark as Spam")+'</span>';
+			span_options.innerHTML += ' | <span ' + change_font_color + ' title="'+get_lang("Mark as Spam")+'" class="message_options" onclick="spam(\'null\', \'selected\',\'null\')">'+get_lang("Mark as Spam")+'</span>';
 		}
 	}
@@ -2496,9 +2614,9 @@
 	span_D.innerHTML = 
    		 get_lang("List")+': '+
-   	'<span id="span_flag_SORTARRIVAL" style="'+(search_box_type == 'ALL' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("All")+'" class="message_options" onclick="if(\'ALL\' == \''+search_box_type+'\') return false;sort_box(\'ALL\',\''+sort_box_type+'\')">'+get_lang("All")+'</span>, '+
-   	'<span id="span_flag_UNSEEN" style="'+(search_box_type == 'UNSEEN' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("l_unseen")+'" class="message_options" onclick="if(\'UNSEEN\' == \''+search_box_type+'\') return false;sort_box(\'UNSEEN\',\''+sort_box_type+'\')">'+get_lang("l_unseen")+'</span>, '+
-  	'<span id="span_flag_SEEN" style="'+(search_box_type == 'SEEN' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("l_seen")+'" class="message_options" onclick="if(\'SEEN\' == \''+search_box_type+'\') return false;sort_box(\'SEEN\',\''+sort_box_type+'\')">'+get_lang("l_seen")+'</span>, '+
-   	'<span id="span_flag_ANSWERED" style="'+(search_box_type == 'ANSWERED' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("l_answered")+'" class="message_options" onclick="if(\'ANSWERED\' == \''+search_box_type+'\') return false;sort_box(\'ANSWERED\',\''+sort_box_type+'\')">'+get_lang("l_answered")+'</span>, '+
-   	'<span id="span_flag_FLAGGED" style="'+(search_box_type == 'FLAGGED' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("l_important")+'" class="message_options" onclick="if(\'FLAGGED\' == \''+search_box_type+'\') return false;sort_box(\'FLAGGED\',\''+sort_box_type+'\')">'+get_lang("l_important")+'</span>&nbsp;&nbsp;';
+   	'<span ' + change_font_color + ' id="span_flag_SORTARRIVAL" class="'+(search_box_type == 'ALL' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("All")+'" onclick="if(\'ALL\' == \''+search_box_type+'\') return false;sort_box(\'ALL\',\''+sort_box_type+'\')">'+get_lang("All")+'</span>, '+
+   	'<span ' + change_font_color + ' id="span_flag_UNSEEN" class="'+(search_box_type == 'UNSEEN' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("l_unseen")+'" onclick="if(\'UNSEEN\' == \''+search_box_type+'\') return false;sort_box(\'UNSEEN\',\''+sort_box_type+'\')">'+get_lang("l_unseen")+'</span>, '+
+  	'<span ' + change_font_color + ' id="span_flag_SEEN" class="'+(search_box_type == 'SEEN' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("l_seen")+'" onclick="if(\'SEEN\' == \''+search_box_type+'\') return false;sort_box(\'SEEN\',\''+sort_box_type+'\')">'+get_lang("l_seen")+'</span>, '+
+   	'<span ' + change_font_color + ' id="span_flag_ANSWERED" class="'+(search_box_type == 'ANSWERED' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("l_answered")+'" onclick="if(\'ANSWERED\' == \''+search_box_type+'\') return false;sort_box(\'ANSWERED\',\''+sort_box_type+'\')">'+get_lang("l_answered")+'</span>, '+
+   	'<span ' + change_font_color + ' id="span_flag_FLAGGED" class="'+(search_box_type == 'FLAGGED' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("l_important")+'" onclick="if(\'FLAGGED\' == \''+search_box_type+'\') return false;sort_box(\'FLAGGED\',\''+sort_box_type+'\')">'+get_lang("l_important")+'</span>&nbsp;&nbsp;';
 	draw_paging(num_msgs);
 	Element("tot_m").innerHTML = num_msgs;	
Index: sandbox/expresso/novos_templates/expressoMail1_2/js/doiMenuData.js
===================================================================
--- trunk/expressoMail1_2/js/doiMenuData.js	(revision 689)
+++ sandbox/expresso/novos_templates/expressoMail1_2/js/doiMenuData.js	(revision 773)
@@ -1,3 +1,3 @@
-_icon_dir="templates/default/images/menu/";
+_icon_dir="templates/"+template+"/images/menu/";
 
 function ConstructMenuTools(){
@@ -85,5 +85,5 @@
 		var _tr = document.createElement("TR");
 		var _td = document.createElement("TD");
-		_td.innerHTML = "<img height=\"16px\" src=\"templates/default/images/menu/"+item[2]+"\">&nbsp;"+item[1]+"&nbsp;";
+		_td.innerHTML = "<img height=\"16px\" src=\"templates/"+template+"/images/menu/"+item[2]+"\">&nbsp;"+item[1]+"&nbsp;";
 		_td.style.color = "DARKBLUE";
 		_td.style.cursor = "pointer";
@@ -152,11 +152,11 @@
 		var _sep = "<hr>";
 		var optionsMenu = new Array( 
-			_tab + get_lang("Mark as")+"&nbsp;"+get_lang('seen')+'|'+"proxy_mensagens.proxy_set_messages_flag('seen','get_selected_messages')",
-			_tab + get_lang("Mark as")+"&nbsp;"+get_lang('unseen')+'|'+"proxy_mensagens.proxy_set_messages_flag('unseen','get_selected_messages')",
-			_tab + get_lang("Mark as")+"&nbsp;"+get_lang('important')+'|'+"proxy_mensagens.proxy_set_messages_flag('flagged','get_selected_messages')",
-			_tab + get_lang("Mark as")+"&nbsp;"+get_lang('normal')+'|'+"proxy_mensagens.proxy_set_messages_flag('unflagged','get_selected_messages')",
+			_tab + get_lang("Mark as")+"&nbsp;"+get_lang('seen')+'|'+"set_messages_flag('seen','get_selected_messages')",
+			_tab + get_lang("Mark as")+"&nbsp;"+get_lang('unseen')+'|'+"set_messages_flag('unseen','get_selected_messages')",
+			_tab + get_lang("Mark as")+"&nbsp;"+get_lang('important')+'|'+"set_messages_flag('flagged','get_selected_messages')",
+			_tab + get_lang("Mark as")+"&nbsp;"+get_lang('normal')+'|'+"set_messages_flag('unflagged','get_selected_messages')",
 			_sep,
 			_tab + get_lang("Move to")+" ... |wfolders.makeWindow('', 'move_to')",
-			_tab + get_lang("Delete")+"|"+"proxy_mensagens.delete_msgs('null','selected','null')",
+			_tab + get_lang("Delete")+"|"+"delete_msgs('null','selected','null')",
 			_tab + get_lang("Export")+"|"+"export_all_selected_msgs()"
 		);
Index: sandbox/expresso/novos_templates/expressoMail1_2/js/rich_text_editor.js
===================================================================
--- trunk/expressoMail1_2/js/rich_text_editor.js	(revision 690)
+++ sandbox/expresso/novos_templates/expressoMail1_2/js/rich_text_editor.js	(revision 773)
@@ -34,6 +34,6 @@
 	}
 
-	document.getElementById('fontname').selectedIndex = 1;
-	document.getElementById('fontsize').selectedIndex = 1;
+	document.getElementById('fontname').selectedIndex = 3;
+	document.getElementById('fontsize').selectedIndex = 3;
 }
 
@@ -47,4 +47,12 @@
 		iframe.setAttribute("unselectable","on");
 		iframe.setAttribute("tabIndex","1");
+
+		config_events( iframe, 'onload', function( )
+		{
+			iframe.contentWindow.document.designMode = "on";
+			if ( iframe.contentWindow.document.documentElement )
+				iframe.contentWindow.document.documentElement.style.background = '#fff';
+		});
+
 		var checkbox = document.createElement("INPUT");
 		checkbox.id = 'viewsource_rt_checkbox';
@@ -170,5 +178,5 @@
 		img.className = 'imagebutton';
 		img.align = 'center';
-		img.src = './templates/default/images/'+buttons[i]+'.gif';
+		img.src = './templates/'+template+'/images/'+buttons[i]+'.gif';
 		img.title = get_lang(buttons[i]);
 		img.style.cursor = 'pointer';
@@ -352,7 +360,7 @@
 		form_table.innerHTML = get_lang('Select the table size')+':<br><br><table cellspacing="0"><tbody><tr><td align="center">'+
 								get_lang('Rows')+':</td><td></td><td align="center">'+get_lang('Cols')+':</td><td></td><td align="center">'+get_lang('Border')+':</td></tr>'+
-									'<tr><td align="right"><input type="text" readonly="true" id="rows" size="2" maxlength="2" value="1"></input></td><td align="left"><img src="templates/default/images/plus.png" onclick="javascript:RichTextEditor.incrementField(\'rows\');"></img><br><img src="templates/default/images/minus.png" onclick="javascript:RichTextEditor.decrementField(\'rows\');"></img></td>'+
-									'<td align="right"><input type="text" readonly="true" id="cols" size="2" maxlength="2" value="1"></input></td><td align="left"><img src="templates/default/images/plus.png" onclick="javascript:RichTextEditor.incrementField(\'cols\');"></img><br><img src="templates/default/images/minus.png" onclick="javascript:RichTextEditor.decrementField(\'cols\');"></img></td>'+
-									'<td align="right"><input type="text" readonly="true" id="border" size="2" maxlength="2" value="1"></input></td><td align="left"><img src="templates/default/images/plus.png" onclick="javascript:RichTextEditor.incrementField(\'border\');"></img><br><img src="templates/default/images/minus.png" onclick="javascript:RichTextEditor.decrementField(\'border\');"></img></td>'+
+									'<tr><td align="right"><input type="text" readonly="true" id="rows" size="2" maxlength="2" value="1"></input></td><td align="left"><img src="templates/'+template+'/images/plus.png" onclick="javascript:RichTextEditor.incrementField(\'rows\');"></img><br><img src="templates/'+template+'/images/minus.png" onclick="javascript:RichTextEditor.decrementField(\'rows\');"></img></td>'+
+									'<td align="right"><input type="text" readonly="true" id="cols" size="2" maxlength="2" value="1"></input></td><td align="left"><img src="templates/'+template+'/images/plus.png" onclick="javascript:RichTextEditor.incrementField(\'cols\');"></img><br><img src="templates/'+template+'/images/minus.png" onclick="javascript:RichTextEditor.decrementField(\'cols\');"></img></td>'+
+									'<td align="right"><input type="text" readonly="true" id="border" size="2" maxlength="2" value="1"></input></td><td align="left"><img src="templates/'+template+'/images/plus.png" onclick="javascript:RichTextEditor.incrementField(\'border\');"></img><br><img src="templates/'+template+'/images/minus.png" onclick="javascript:RichTextEditor.decrementField(\'border\');"></img></td>'+
 									'</tr></tbody></table>'+
 	  								'&nbsp;&nbsp;&nbsp;<input title="'+get_lang('Close')+'"  value="' + get_lang('Close') + '" type="button" onclick="win.close()">&nbsp;'+
Index: sandbox/expresso/novos_templates/expressoMail1_2/index.php
===================================================================
--- trunk/expressoMail1_2/index.php	(revision 689)
+++ sandbox/expresso/novos_templates/expressoMail1_2/index.php	(revision 773)
@@ -34,4 +34,8 @@
 	include('../header.inc.php');
 	$update_version = $GLOBALS['phpgw_info']['flags']['update_version'];
+	$_SESSION['phpgw_info']['expressomail']['user'] = $GLOBALS['phpgw_info']['user'];
+	echo '<link rel="stylesheet" type="text/css" href="templates/'.$_SESSION['phpgw_info']['expressoMail1_2']['user']['preferences']['common']['template_set'].'/main.css">';
+	echo '<link rel="stylesheet" type="text/css" href="../phpgwapi/js/dftree/dftree.css">';
+	echo "<script type='text/javascript'>var template = '".$_SESSION['phpgw_info']['expressoMail1_2']['user']['preferences']['common']['template_set']."';</script>";
 	echo "<script src='js/globals.js?".$update_version."' type='text/javascript'></script>";
 	echo "<script src='js/sniff_browser.js?".$update_version."' type='text/javascript'></script>";
@@ -41,6 +45,5 @@
 	//Enable/Disable VoIP Service -> Voip Server Config
 	$voip_enabled = false;
-	$voip_groups = array();
-	
+	$voip_groups = array();	
 	if($GLOBALS['phpgw_info']['server']['voip_groups']) {
 		$emailVoip = false;
@@ -71,5 +74,5 @@
 
 	$_SESSION['phpgw_info']['expressomail']['email_server'] = $boemailadmin->getProfile($emailadmin_profile[0]['profileID']);
-	$_SESSION['phpgw_info']['expressomail']['user'] = $GLOBALS['phpgw_info']['user'];
+//	$_SESSION['phpgw_info']['expressomail']['user'] = $GLOBALS['phpgw_info']['user'];
 	$_SESSION['phpgw_info']['expressomail']['server'] = $GLOBALS['phpgw_info']['server'];
 	$_SESSION['phpgw_info']['expressomail']['ldap_server'] = $ldap_manager ? $ldap_manager->srcs[1] : null;
@@ -100,5 +103,5 @@
     		'use_shortcuts' 					=> $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_shortcuts'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_shortcuts'] : "0",
     		'auto_save_draft'					=> $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['auto_save_draft'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['auto_save_draft'] : "0",
- 		'use_dynamic_contacts' 					=> $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_dynamic_contacts'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_dynamic_contacts'] : "0",
+		'use_dynamic_contacts' 					=> $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_dynamic_contacts'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_dynamic_contacts'] : "0",
 		'number_of_contacts' 					=> $current_config['expressoMail_Number_of_dynamic_contacts'] ? $current_config['expressoMail_Number_of_dynamic_contacts'] : "0",
 		'use_cache' 						=> $current_config['expressoMail_enable_cache'],
@@ -106,10 +109,10 @@
 		'remove_attachments_function'				=> $current_config['expressoMail_remove_attachments_function'],
 		'use_important_flag'					=> $current_config['expressoMail_enable_important_flag'],
-   		'use_local_messages'	 			=> $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages'] : "0",			
+   		'use_local_messages'	 			=> $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages'] : "0",
    		'keep_archived_messages'	 		=> $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['keep_archived_messages'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['keep_archived_messages'] : "0"
 
 
 
-    		
+
 	);
 
@@ -167,5 +170,5 @@
     var draftsfolder = "'.$_SESSION['phpgw_info']['expressomail']['email_server']['imapDefaultDraftsFolder'].'";
     var sentfolder = "'.$_SESSION['phpgw_info']['expressomail']['email_server']['imapDefaultSentFolder'].'";
-    var spamfolder = "'.$_SESSION['phpgw_info']['expressomail']['email_server']['imapDefaultSpamFolder'].'";                      
+    var spamfolder = "'.$_SESSION['phpgw_info']['expressomail']['email_server']['imapDefaultSpamFolder'].'";                 
     </script>';
 
@@ -175,8 +178,12 @@
 
 	$obj = createobject("expressoMail1_2.functions");
+	// este arquivo deve ser carregado antes que
+	// os demais pois nele contem a função get_lang
+	// que é utilizada em diversas partes
+	echo $obj -> getFilesJs("js/common_functions.js");
 	include("inc/load_lang.php");		
+
 	// INCLUDE these JS Files: 
 	echo $obj -> getFilesJs("js/abas.js," .
-							"js/common_functions.js," .
 							"js/doiMenuData.js," .
 							"js/drag_area.js," .
@@ -203,4 +210,5 @@
 		echo "<script>location.href='./preferences.php'</script>";
 	}	
+
 ?>
 
@@ -208,5 +216,4 @@
 <head>
 <title>ExpressoMail</title>
-<link rel="stylesheet" type="text/css" href="templates/default/main.css">
 <link rel="stylesheet" type="text/css" href="../phpgwapi/js/dftree/dftree.css">
 </head>
